﻿#include "Obelisk.h"

#include "CScriptEngine.h"
#include "IScript.h"
#include "CScriptCombatHelp.h"

using namespace Obelisk;



CScriptCombatHelp::CScriptCombatHelp()
{
	mStage = 0;
}



bool CScriptCombatHelp::Update(bool& aResult, IObelisk* aObelisk, CScriptEngine* aEngine)
{
	aResult = false;
	if (aObelisk->MouseButtonClicked(false) || aEngine->IsEnterPressed())
		mStage++;
	if (aEngine->IsEscapePressed())
		mStage = 3;
	return mStage == 3;
}



void CScriptCombatHelp::Render(IObelisk* aObelisk, CScriptEngine* aEngine)
{
	switch (mStage)
	{
		case 0:
			aEngine->ShowProfileInner(pCmdr);
			aEngine->ShowTextInner(0, SL("This is combat. Press Up to launch the helicopter,"));
			aEngine->ShowTextInner(1, SL("then use the cursor keys to fly around."));
			aEngine->ShowTextInner(3, SL("(Click or Enter)"));
			break;
		case 1:
			aEngine->ShowProfileInner(pCmdr);
			aEngine->ShowTextInner(0, SL("Press Space to shoot."));
			aEngine->ShowTextInner(2, SL("(Click or Enter)"));
			break;
		case 2:
			aEngine->ShowProfileInner(pCmdr);
			aEngine->ShowTextInner(0, SL("Now fly over to the island (Right) and destroy"));
			aEngine->ShowTextInner(1, SL("those turrets!"));
			aEngine->ShowTextInner(3, SL("(Click or Enter)"));
			break;
	}
}