OBELISK_PATH=Obelisk
PROJECT=IslandCommander
CPP_LIST=CMainController.cpp CScriptEngine.cpp CGameController.cpp CGameState.cpp COverworld.cpp CCombat.cpp CIsland.cpp CBullet.cpp CTurret.cpp CRocket.cpp CScriptStartCutscene.cpp CScriptAttackHelp.cpp CScriptCombatHelp.cpp CScriptRankHelp.cpp CScriptCutscene.cpp CScriptFinalCutscene.cpp

CXXFLAGS=-O3 -Wall -Wno-deprecated -Wno-sign-compare -g -I "$(OBELISK_PATH)/Include" -D PLATFORM_LINUX
OBJ_LIST_REAL=$(CPP_LIST:.cpp=.o)

$(PROJECT): $(OBJ_LIST_REAL)
	g++ -o $(PROJECT) $(OBJ_LIST_REAL) -L $(OBELISK_PATH) -l:Obelisk_Release.a -lGL -lGLU -lSDL -lSDL_image

clean:
	rm $(PROJECT) $(OBJ_LIST_REAL)

