namespace Obelisk
{
	class CColour
	{
	public:
		CColour() { R = 0; G = 0; B = 0; }
		CColour(float aR, float aG, float aB)
		{
			Assert(aR >= 0 && aR <= 1 && aG >= 0 && aG <= 1 && aB >= 0 && aB <= 1)
			R = aR;
			G = aG;
			B = aB;
		}

		bool operator ==(const CColour& aColour) const
		{
			return R == aColour.R && G == aColour.G && B == aColour.B;
		}
		bool operator !=(const CColour& aColour) const
		{
			return !operator ==(aColour);
		}

		float R, G, B;
	};
}